hledger-lib-1.52.1: A library providing the core functionality of hledger

Safe Haskell | None
Language | GHC2021

Hledger.Write.Html.HtmlCommon

Description

Common definitions used by both Html.Blaze and Html.Lucid.

# Documentation

class Lines border => Lines border where Source #

Methods

borderLines :: border -> [Text] Source #

#### Instances

Instances details

Lines NumLines Source # |
Instance details Defined in Hledger.Write.Html.HtmlCommon Methods borderLines :: NumLines -> [Text] Source #
Lines () Source # |
Instance details Defined in Hledger.Write.Html.HtmlCommon Methods borderLines :: () -> [Text] Source #

borderStyles :: Lines border => Cell border text -> [Text] Source #